/* =========================
   NavBar Flotante
========================= */
.nav {
  position: fixed;
  bottom: 1.5rem;
  left: 0;
  right: 0;
  background: white;
  backdrop-filter: blur(12px);
  width: 25%;
  margin-inline: auto;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.25);
  padding: 1rem 1.5rem;
  border-radius: 1rem;
  z-index: 100;
  transition: all 0.3s ease;
}

/* Lista de ítems */
.nav__list {
  display: flex;
  justify-content: center;   /* Centrado horizontal */
  align-items: center;       /* Centrado vertical */
  gap: 1.4rem;                 /* Espaciado entre íconos */
  list-style: none;          /* Quitar los puntos de li */
  padding: 0;
  margin-top: -8px;
}

/* Ítem */
.nav__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;   /* Centra ícono y texto */
  gap: 4px;
  cursor: pointer;
}

/* Ícono circular */
.nav__icon {
  width: 34px;
  height: 34px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  transition: background .3s ease;
}

/* Ícono */
.nav__icon i {
  font-size: 1.2rem;
  color: #bbbbbb;
  transition: color .3s ease;
}

/* Texto pequeño */
.nav__item small {
  font-size: 0.65rem;
  color: black;
  line-height: 1;
  text-align: center;
}

/* Ítem activo */
.active-link .nav__icon {
  background: #2196f3; /* círculo morado */
  box-shadow: 0 4px 8px rgba(0,0,0,0.25);
}

.active-link i {
  color: #fff; /* ícono negro */
}

/* Hover */
.nav__link:hover i {
  color: #fff;
}

/* =========================
   Menu
========================= */
.menu {
  display: none;
}

/* =========================
   Responsive
========================= */
@media (max-width: 449px) {
  body {
    margin-bottom: 65px !important;
  }
  .nav {
    width: 100%;
    border-radius: 0;
    bottom: 0;
    background: white;
    height: 60px;
    justify-content: space-around;
  }

  .nav__item small {
    color: #333;
    margin-top: -2px;
  }
}